Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.filter.codec
Class ProtocolCodecException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.mina.filter.codec.ProtocolCodecException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ProtocolDecoderException, ProtocolEncoderException

    public class ProtocolCodecException

extends Exception

An exception that is thrown when `ProtocolEncoder` or `ProtocolDecoder` cannot understand or failed to validate data to process.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 05:19:00 +0200 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)
See Also:
  Serialized Form

Constructor Summary
`ProtocolCodecException()` Constructs a new instance.
`ProtocolCodecException(String message)` Constructs a new instance with the specified message.
`ProtocolCodecException(String message, Throwable cause)` Constructs a new instance with the specified message and the specified cause.
`ProtocolCodecException(Throwable cause)` Constructs a new instance with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProtocolCodecException

    public ProtocolCodecException()

  Constructs a new instance.

### ProtocolCodecException

    public ProtocolCodecException(String message)

  Constructs a new instance with the specified message.

### ProtocolCodecException

    public ProtocolCodecException(Throwable cause)

  Constructs a new instance with the specified cause.

### ProtocolCodecException

    public ProtocolCodecException(String message,
                                  Throwable cause)

  Constructs a new instance with the specified message and the specified cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.